<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
	  version="2.0">

    <jsp:directive.page contentType="application/xhtml+xml"/>

    <!-- <lokalizace> -->
    <c:if test="${param.jazyk != null}">
	<fmt:setLocale value="${param.jazyk}" scope="session"/>
    </c:if>
    <fmt:setBundle basename="cz.frantovo.nekurak.preklady" scope="application"/>
    <!-- </lokalizace> -->

    <nk:stranka titulek="Kaptcha">

	<h1><c:out value="Kaptcha – ukázka"/></h1>

	<c:choose>
	    <c:when test="${param.akce == 'odeslat'}">
		<p>Odeslané údaje:</p>

		<p>Políčko 1: <c:out value="${param.policko1}"/></p>
		<p>Políčko 2: <c:out value="${param.policko2}"/></p>
		<p>Kaptcha: <c:out value="${param.kaptcha}"/></p>

		<p>Očekávaná hodnota: <c:out value="${sessionScope['KAPTCHA_SESSION_KEY']}"/></p>

		<c:choose>
		    <c:when test="${sessionScope['KAPTCHA_SESSION_KEY'] == param.kaptcha}">
			<p class="informacniHlaska">Správně opsaný kód z obrázku.</p>
		    </c:when>
		    <c:otherwise>
			<p class="chybovaHlaska">Špatně obsaný kód z obrázku.</p>
		    </c:otherwise>
		</c:choose>



	    </c:when>
	    <c:otherwise>
		<!-- Zobrazíme uživateli registrační formulář. -->
		<p>Nějaký formulář, který chceme ochránit proti spamu:</p>
		<form method="post" action="kaptcha.jsp?akce=odeslat">
		    <fieldset>
			<label>Políčko 1: <input type="text" name="policko1" maxlength="255"/></label><br/>
			<label>Políčko 2: <input type="text" name="policko2" maxlength="255"/></label><br/>
		    </fieldset>
		    <fieldset>
			<!-- Kaptcha -->
			<img src="kaptcha.jpg" alt="ochrana proti spamu" id="kaptchaIMG" title="klikněte pro vygenerování nového obrázku"/><br/>
			<script type="text/javascript">
			    $(function(){
				$('#kaptchaIMG').click(function () { $(this).attr('src', 'kaptcha.jpg?' + Math.floor(Math.random()*100) ); })
			    });
			</script>

			<label>Opište: <input type="text" name="kaptcha" maxlength="255"/></label><br/>
		    </fieldset>
		    <fieldset>
			<button value="submit">Odeslat</button>
		    </fieldset>
		</form>
	    </c:otherwise>
	</c:choose>

    </nk:stranka>

</jsp:root>
